from pasteob import *

__all__ = ['test', 'test_multi']

def test(app, *args, **kw):
    return app << Request(*args, **kw)

def test_multi(app, options, resp_attr='status_int', **kw):
    r = []
    for opt in options:
        resp = test(app, opt, **kw)
        r.append(getattr(resp, resp_attr))
    return r

test.compat_func_name = test_multi.compat_func_name = '_nose_skip'
